org.apache.tomcat.jdbc.pool.jmx

## Class JmxUtil

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.jmx.JmxUtil

-     public class JmxUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmxUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObjectName` | `registerJmx(ObjectName base, String keyprop, Object obj)`
    `static void` | `unregisterJmx(ObjectName oname)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JmxUtil

          public JmxUtil()

  - ### Method Detail

    - #### registerJmx

          public static ObjectName registerJmx(ObjectName base,
                               String keyprop,
                               Object obj)

    - #### unregisterJmx

          public static void unregisterJmx(ObjectName oname)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.